%define debug_package %{nil}
Summary: dial tools for ppp, isdn, xDSL
Name: PoseidonPPP
Version: 3.1.0
Release: 14.9AX
Group: Applications/Internet
Source: pen-1.1.1.tar.gz
Source1: kppp.mo
Source2: kppplogview.mo
Source3: kppp_zh_TW.mo
Source4: kppplogview_zh_TW.mo
Source5: kppp_ja.mo
Source6: kppplogview_ja.mo
Source7: apps-kppp.tgz
Source8: kppp_ko.mo
Source9: kppplogview_ko.mo
Source10: kppp-doc.tar.gz

Patch0: kppp-3.0-pppoe.patch
Patch1: kppp-add-14400-speed.patch
Patch2: kppp-add-assert-head-file.patch
Patch3: kppp-3.0-menu-desktop.patch
Patch4: kppp-3.0-menu-translate.patch
Patch5: kppp-fix-detect-modem-crash.patch

#Asianux
Patch100: pen-1.1.1-asianux-desktop_categories.patch

License: GPL/MPL
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
This is the first Global Data Transfer Library, Which implement the Clipboard
for all Linux X Window Application

%prep
%setup -q -n pen-1.1.1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
/bin/cp -a %{SOURCE7} rpmpen/apps-kppp.tgz

#Asianux
%patch100 -p1
%build
unset QTDIR
. /etc/profile.d/qt.sh
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
pushd rpmpen
./install.sh $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES/
rm -rf $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES/*
cp -r %{SOURCE1} $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES/
cp -r %{SOURCE2} $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES/
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/zh_TW/LC_MESSAGES/
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/locale/zh_TW/LC_MESSAGES/kppp.mo
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/locale/zh_TW/LC_MESSAGES/kppplogview.mo
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/ja/LC_MESSAGES/
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/usr/share/locale/ja/LC_MESSAGES/kppp.mo
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/usr/share/locale/ja/LC_MESSAGES/kppplogview.mo
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/ko/LC_MESSAGES/
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT/usr/share/locale/ko/LC_MESSAGES/kppp.mo
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT/usr/share/locale/ko/LC_MESSAGES/kppplogview.mo
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/
tar xzf %{SOURCE10} -C $RPM_BUILD_ROOT/usr/share/doc

(cd $RPM_BUILD_ROOT/usr/sbin; ln -fs ../bin/pen kppp)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/kppplogview
/usr/bin/pen
/usr/sbin/isdncall
/usr/sbin/kppp
/usr/share/applications/kde/Kppp.desktop
/usr/share/apps/kppp/DB/isdn.rc
/usr/share/apps/kppp/Provider/Austria/.directory
/usr/share/apps/kppp/Provider/Austria/Simon%032Media
/usr/share/apps/kppp/Provider/China/.directory
/usr/share/apps/kppp/Provider/China/169
/usr/share/apps/kppp/Provider/China/263
/usr/share/apps/kppp/Provider/China/2911
/usr/share/apps/kppp/Provider/China/96688
/usr/share/apps/kppp/Provider/China/96600
/usr/share/apps/kppp/Provider/China/Customer
/usr/share/apps/kppp/Provider/Czech_Republic/.directory
/usr/share/apps/kppp/Provider/Czech_Republic/AICOM
/usr/share/apps/kppp/Provider/Czech_Republic/ARsystem
/usr/share/apps/kppp/Provider/Czech_Republic/ASYS
/usr/share/apps/kppp/Provider/Czech_Republic/ApexNet
/usr/share/apps/kppp/Provider/Czech_Republic/BohemiaNet
/usr/share/apps/kppp/Provider/Czech_Republic/Brailcom
/usr/share/apps/kppp/Provider/Czech_Republic/CITYNET
/usr/share/apps/kppp/Provider/Czech_Republic/Contactel
/usr/share/apps/kppp/Provider/Czech_Republic/ES-servis
/usr/share/apps/kppp/Provider/Czech_Republic/Econnect
/usr/share/apps/kppp/Provider/Czech_Republic/Falco_computer
/usr/share/apps/kppp/Provider/Czech_Republic/Fortech
/usr/share/apps/kppp/Provider/Czech_Republic/HP-NET
/usr/share/apps/kppp/Provider/Czech_Republic/INTERNET_OnLine
/usr/share/apps/kppp/Provider/Czech_Republic/INTERNEXT
/usr/share/apps/kppp/Provider/Czech_Republic/IQNET
/usr/share/apps/kppp/Provider/Czech_Republic/KPNQuest
/usr/share/apps/kppp/Provider/Czech_Republic/M-soft
/usr/share/apps/kppp/Provider/Czech_Republic/Nextra
/usr/share/apps/kppp/Provider/Czech_Republic/ProfiNet
/usr/share/apps/kppp/Provider/Czech_Republic/SeverNET
/usr/share/apps/kppp/Provider/Czech_Republic/Video_OnLine
/usr/share/apps/kppp/Provider/Czech_Republic/Volny
/usr/share/apps/kppp/Provider/Denmark/.directory
/usr/share/apps/kppp/Provider/Denmark/Get2Net
/usr/share/apps/kppp/Provider/Germany/.directory
/usr/share/apps/kppp/Provider/Germany/CityWeb
/usr/share/apps/kppp/Provider/Germany/FH%032Rhein%032Sieg%032%040Informatik%041
/usr/share/apps/kppp/Provider/Germany/MUC%046DE
/usr/share/apps/kppp/Provider/Germany/Netsurf
/usr/share/apps/kppp/Provider/Netherlands/.directory
/usr/share/apps/kppp/Provider/Netherlands/12Move
/usr/share/apps/kppp/Provider/Netherlands/Cistron
/usr/share/apps/kppp/Provider/Netherlands/Concepts%032ICT
/usr/share/apps/kppp/Provider/Netherlands/Cybercomm
/usr/share/apps/kppp/Provider/Netherlands/Dataweb
/usr/share/apps/kppp/Provider/Netherlands/Daxis%032Internet
/usr/share/apps/kppp/Provider/Netherlands/Freeler
/usr/share/apps/kppp/Provider/Netherlands/HetNet
/usr/share/apps/kppp/Provider/Netherlands/IAE
/usr/share/apps/kppp/Provider/Netherlands/InterNLnet%032met%0323-cijferig%032kengetal
/usr/share/apps/kppp/Provider/Netherlands/InterNLnet%032met%0324-cijferig%032kengetal
/usr/share/apps/kppp/Provider/Netherlands/Internet%032Acces%032Facilities
/usr/share/apps/kppp/Provider/Netherlands/Interstroom
/usr/share/apps/kppp/Provider/Netherlands/IntroWeb%032Hengelo%032e.o.
/usr/share/apps/kppp/Provider/Netherlands/IntroWeb%032met%0323-cijferig%032kengetal
/usr/share/apps/kppp/Provider/Netherlands/IntroWeb%032met%0324-cijferig%032kengetal
/usr/share/apps/kppp/Provider/Netherlands/Kabelfoon
/usr/share/apps/kppp/Provider/Netherlands/Popin
/usr/share/apps/kppp/Provider/Netherlands/Solcon
/usr/share/apps/kppp/Provider/Netherlands/Sonera%032Plaza
/usr/share/apps/kppp/Provider/Netherlands/TIP
/usr/share/apps/kppp/Provider/Netherlands/Trefpunt%032Acces
/usr/share/apps/kppp/Provider/Netherlands/Wish
/usr/share/apps/kppp/Provider/Netherlands/Zonnet
/usr/share/apps/kppp/Provider/NewZealand/.directory
/usr/share/apps/kppp/Provider/NewZealand/OrconInternet
/usr/share/apps/kppp/Provider/NewZealand/Paradise
/usr/share/apps/kppp/Provider/NewZealand/Voyager
/usr/share/apps/kppp/Provider/NewZealand/XTRA
/usr/share/apps/kppp/Provider/NewZealand/ihug
/usr/share/apps/kppp/Provider/Norway/.directory
/usr/share/apps/kppp/Provider/Norway/BGNett
/usr/share/apps/kppp/Provider/Norway/Institutt%032for%032informatikk
/usr/share/apps/kppp/Provider/Portugal/.directory
/usr/share/apps/kppp/Provider/Portugal/Clix
/usr/share/apps/kppp/Provider/Portugal/Netc
/usr/share/apps/kppp/Provider/Portugal/OniNet
/usr/share/apps/kppp/Provider/Sweden/.directory
/usr/share/apps/kppp/Provider/Sweden/Tiscali
/usr/share/apps/kppp/Provider/Sweden/Utfors
/usr/share/apps/kppp/Provider/Sweden/World%032Online
/usr/share/apps/kppp/Provider/Taiwan/.directory
/usr/share/apps/kppp/Provider/Taiwan/EraNet
/usr/share/apps/kppp/Provider/Taiwan/HiNet
/usr/share/apps/kppp/Provider/Taiwan/SeedNet
/usr/share/apps/kppp/Provider/United_Kingdom/.directory
/usr/share/apps/kppp/Provider/United_Kingdom/Demon%032Green%0322120666
/usr/share/apps/kppp/Provider/United_Kingdom/Demon%032Purple%0322121666
/usr/share/apps/kppp/Provider/United_Kingdom/Demon%032Red%0320798666
/usr/share/apps/kppp/Provider/United_Kingdom/FreeServe
/usr/share/apps/kppp/Provider/Yugoslavia/.directory
/usr/share/apps/kppp/Provider/Yugoslavia/041Net
/usr/share/apps/kppp/Provider/Yugoslavia/041Net.rst
/usr/share/apps/kppp/Provider/Yugoslavia/9819
/usr/share/apps/kppp/Provider/Yugoslavia/9819.rst
/usr/share/apps/kppp/Provider/Yugoslavia/BeoTelNet
/usr/share/apps/kppp/Provider/Yugoslavia/CG.Bar.yu
/usr/share/apps/kppp/Provider/Yugoslavia/CG.Berane.yu
/usr/share/apps/kppp/Provider/Yugoslavia/CG.BijeloPolje.CG.yu
/usr/share/apps/kppp/Provider/Yugoslavia/CG.Budva.yu
/usr/share/apps/kppp/Provider/Yugoslavia/CG.Cetinje.yu
/usr/share/apps/kppp/Provider/Yugoslavia/CG.HercegNovi.yu
/usr/share/apps/kppp/Provider/Yugoslavia/CG.Kotor.yu
/usr/share/apps/kppp/Provider/Yugoslavia/CG.Niksic.yu
/usr/share/apps/kppp/Provider/Yugoslavia/CG.Pljevlja.yu
/usr/share/apps/kppp/Provider/Yugoslavia/CG.Podgorica.yu
/usr/share/apps/kppp/Provider/Yugoslavia/CG.Tivat.yu
/usr/share/apps/kppp/Provider/Yugoslavia/CG.Ulcinj.yu
/usr/share/apps/kppp/Provider/Yugoslavia/CG.yu
/usr/share/apps/kppp/Provider/Yugoslavia/DrenikNet
/usr/share/apps/kppp/Provider/Yugoslavia/EUnet
/usr/share/apps/kppp/Provider/Yugoslavia/EUnet@Full
/usr/share/apps/kppp/Provider/Yugoslavia/EUnet@Lite
/usr/share/apps/kppp/Provider/Yugoslavia/EUnetBeograd
/usr/share/apps/kppp/Provider/Yugoslavia/EUnetCacak
/usr/share/apps/kppp/Provider/Yugoslavia/EUnetKragujevac
/usr/share/apps/kppp/Provider/Yugoslavia/EUnetNis
/usr/share/apps/kppp/Provider/Yugoslavia/EUnetNoviSad
/usr/share/apps/kppp/Provider/Yugoslavia/EUnetPristina
/usr/share/apps/kppp/Provider/Yugoslavia/EUnetSombor
/usr/share/apps/kppp/Provider/Yugoslavia/EUnetSubotica
/usr/share/apps/kppp/Provider/Yugoslavia/EUnetlite
/usr/share/apps/kppp/Provider/Yugoslavia/InfoSKY
/usr/share/apps/kppp/Provider/Yugoslavia/PTT
/usr/share/apps/kppp/Provider/Yugoslavia/SCnet
/usr/share/apps/kppp/Provider/Yugoslavia/Sezampro
/usr/share/apps/kppp/Provider/Yugoslavia/TelefonZona1.rst
/usr/share/apps/kppp/Provider/Yugoslavia/TelefonZona2.rst
/usr/share/apps/kppp/Provider/Yugoslavia/TelefonZona3.rst
/usr/share/apps/kppp/Provider/Yugoslavia/VeratNet
/usr/share/apps/kppp/Provider/Yugoslavia/YUBCnet
/usr/share/apps/kppp/Rules/*
/usr/share/apps/kppp/pics/conn_large.png
/usr/share/apps/kppp/pics/conn_small.png
/usr/share/apps/kppp/pics/cuib.png
/usr/share/apps/kppp/pics/device_large.png
/usr/share/apps/kppp/pics/device_small.png
/usr/share/apps/kppp/pics/dock_both.png
/usr/share/apps/kppp/pics/dock_left.png
/usr/share/apps/kppp/pics/dock_none.png
/usr/share/apps/kppp/pics/dock_right.png
/usr/share/apps/kppp/pics/folder.png
/usr/share/apps/kppp/pics/modemboth.png
/usr/share/apps/kppp/pics/modemleft.png
/usr/share/apps/kppp/pics/modemnone.png
/usr/share/apps/kppp/pics/modemright.png
/usr/share/apps/kppp/pics/phone.png
%{_docdir}/HTML
/usr/share/icons/hicolor/16x16/apps/kppp.png
/usr/share/icons/hicolor/16x16/apps/kppp_connected.png
/usr/share/icons/hicolor/16x16/apps/kppp_dual.png
/usr/share/icons/hicolor/16x16/apps/kppp_idle.png
/usr/share/icons/hicolor/16x16/apps/kppp_local.png
/usr/share/icons/hicolor/16x16/apps/kppp_remote.png
/usr/share/icons/hicolor/32x32/apps/kppp.png
/usr/share/icons/hicolor/32x32/apps/kppp_connected.png
/usr/share/icons/hicolor/32x32/apps/kppp_dual.png
/usr/share/icons/hicolor/32x32/apps/kppp_idle.png
/usr/share/icons/hicolor/32x32/apps/kppp_local.png
/usr/share/icons/hicolor/32x32/apps/kppp_remote.png
/usr/share/icons/hicolor/48x48/apps/kppp.png
/usr/share/icons/hicolor/48x48/apps/kppp_connected.png
/usr/share/icons/hicolor/48x48/apps/kppp_dual.png
/usr/share/icons/hicolor/48x48/apps/kppp_idle.png
/usr/share/icons/hicolor/48x48/apps/kppp_local.png
/usr/share/icons/hicolor/48x48/apps/kppp_remote.png
/usr/share/icons/locolor/16x16/apps/kppp.png
/usr/share/icons/locolor/16x16/apps/kppp_connected.png
/usr/share/icons/locolor/16x16/apps/kppp_dual.png
/usr/share/icons/locolor/16x16/apps/kppp_idle.png
/usr/share/icons/locolor/16x16/apps/kppp_local.png
/usr/share/icons/locolor/16x16/apps/kppp_remote.png
/usr/share/icons/locolor/32x32/apps/kppp.png
/usr/share/icons/locolor/32x32/apps/kppp_connected.png
/usr/share/icons/locolor/32x32/apps/kppp_dual.png
/usr/share/icons/locolor/32x32/apps/kppp_idle.png
/usr/share/icons/locolor/32x32/apps/kppp_local.png
/usr/share/icons/locolor/32x32/apps/kppp_remote.png
/usr/share/locale/zh_CN/LC_MESSAGES/kppp.mo
/usr/share/locale/zh_CN/LC_MESSAGES/kppplogview.mo
/usr/share/locale/zh_TW/LC_MESSAGES/kppp.mo
/usr/share/locale/zh_TW/LC_MESSAGES/kppplogview.mo
/usr/share/locale/ja/LC_MESSAGES/kppp.mo
/usr/share/locale/ja/LC_MESSAGES/kppplogview.mo
/usr/share/locale/ko/LC_MESSAGES/kppp.mo
/usr/share/locale/ko/LC_MESSAGES/kppplogview.mo
/usr/share/pixmaps/kppp.png

%changelog
* Mon Aug 13 2007 Shu Li <shuli@redflag-linux.com> 3.1.0-14.9AX
- add kppp-fix-detect-modem-crash.patch fix the utf8 problems
- add kppp-doc.tar.gz for en ja and ko help documents.

* Wed Aug 01 2007 Nam, Kwonwoo <kwnam@haansoft.com> 3.1.0-14.8AX
- add korean tralslation(source 8, 9)

* Fri Jul 27 2007 Ryoji Kamei <kamei@miraclelinux.com> 3.1.0-14.7AX
- add Japanese translation based on kde-i18n-ja's po files
-   (Source5,Source6)
- fix group "System Environment/Libraries" to
-   "Applications/Internet"
- fix Country/ISP selection character code for ja/ko (Source7)
-    I also confirmed in zh_CN.GB18030 and zh_TW.Big5 environment,
-    and it shows fine.

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com> 3.1.0-14.6AX
- added to pen-1.1.1-asianux-desktop_categories.patch

* Fri Jun 29 2007 Xiao Liu <xiaoliu@redflag-linux.com> 3.1.0-14.5AX
- add Patch#4 for desktop translation

* Fri Jun 15 2007 Xiao Liu <xiaoliu@redflag-linux.com> 3.1.0-14.4AX
- add Patch#3 to modify desktop file and set it to the correct position
  for our menu structure

* Sun Feb 25 2007 Hua Jie <jiehua@redflag-linux.com> 3.1.0-14.3AX
- add patch1(kppp-add-14400-speed.patch) to support 14400
- add patch2(kppp-add-assert-head-file.patch) so that can build in glibc-2.5

* Wed Jun 08 2005 Hua Jie <jiehua@redflag-linux.com> 3.1.0-14.2AX
- remove two invalid symbol links in /usr/share/doc/HTML/

* Mon May 23 2005 Hua Jie <jiehua@redflag-linux.com> 3.1.0-14.1AX
- rebuild for Asianux
* Tue Feb 16 2005 jhwu <jhwu@redflag-linux.com>
- change route setting when using kppp connecting internet
* Mon Jun 16 2003 Xie Jue <juexie@redflag-linux.com> 3.1.0-5
- make kppp desktop use kdesu
* Fri Jun 6 2003 Jian Meng <jianmeng@redflag-linux.com> 3.1.0-4
- fix bug of clear account information when cancel newaccount

* Thu May 15 2003 Xie Jue <juexie@redflag-linux.com> 3.1.0-2
- upgrate to support kde 3.1.0
- change some of dial numbers
* Wed Jan 9 2003 Xie Jue <juexie@redflag-linux.com> 3.0.3-2
- delete kppplogview.mo
* Mon Nov 4 2002 Xie Jue <juexie@redflag-linux.com> 1.0.0-13
- newly create this rpm
